
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL的常用SQL语句 / iVAN</title>

    <meta name="description" content="MySQL的常用SQL语句 修改密码 这是常见的大家一般都要用的 首先安装成功了打开cmd –&gt; mysql -u root -p –&gt;输入你的密码 –&gt;修改mysql root用户密码 格式:mysql&gt; set password for 用户名@localhost = password('新密码'); 举例:mysql&gt; set password for root@localhost = password('root'); 上面例子将用户root的密码更改为root: 如果是学习使用一般密 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL的常用SQL语句</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>修改密码</h2>
<hr>
<br />这是常见的大家一般都要用的</p>
<p>　　首先安装成功了打开<strong>cmd</strong>  –&gt; <strong>mysql -u root -p </strong>–&gt;<strong>输入你的密码</strong> <br />
–&gt;<strong>修改mysql root用户密码</strong></p>
<p>　　　格式：<strong>mysql&gt; set password for 用户名@localhost = password(‘新密码’);</strong>  <br />
　　　举例：<strong>mysql&gt; set password for root@localhost = password(‘root’);</strong>  <br />
上面例子将用户root的密码更改为root； <br />
如果是学习使用一般密码该简单些，如root，123等，这样便于记忆。</p>
<p>接下来就是SQL语句了，进入今天的主题了： <br /><strong>SQL：Structure Query Language。（结构化查询语言）</strong>。</p>
<h2>Sql的分类</h2>
<hr>
<br /><strong>DDL</strong> （Data Definition Language）：数据定义语言，用来定义数据库对象：库、表、列等；     CREATE、 ALTER、DROP <br /><strong>DML</strong>（Data Manipulation Language）：数据操作语言，用来定义数据库记录（数据）；       INSERT、 UPDATE、 DELETE <br /><strong>DCL</strong>（Data Control Language）：数据控制语言，用来定义访问权限和安全级别； <br /><strong>DQL</strong>（Data Query Language）：数据查询语言，用来查询记录（数据）。 <br /><strong>SELECT</strong> <br />
*注意：sql语句以  <strong>;</strong>   结尾 <br />
这些都是数据库的SQL的基础知识(也是常识），一定要记住。</p>
<h3>DDL:操作数据库、表、列等</h3>
<hr>
<br />使用的关键字：<strong>CREATE</strong>、 <strong>ALTER</strong>、 <strong>DROP</strong></p>
<p><strong>创建</strong></p>
<pre><code>create database mydb1;
Create database mydb2 character set gbk;-- 设置编码格式
Create database mydb3 character set gbk COLLATE gbk_chinese_ci; -- 设置编码格式和排序方式</code></pre>
<p><strong>查询</strong> <br />
查看当前数据库服务器中的所有数据库 <br /><strong>show databases;</strong> <br />
查看前面创建的mydb2数据库的定义信息 <br /><strong>Show  create  database mydb2;</strong> <br />
删除前面创建的mydb3数据库 <br /><strong>Drop database mydb3;</strong></p>
<p><strong>修改</strong> <br />
查看服务器中的数据库，并把mydb2的字符集修改为utf8; <br /><strong>alter database mydb2 character set utf8;</strong></p>
<p><strong>删除</strong> <br /><strong>drop database mydb3;</strong></p>
<p><strong>其他：</strong> <br />
查看当前使用的数据库 <br /><strong>select database();</strong> <br />
切换数据库 <br /><strong>use mydb2;</strong></p>
<p><strong>操作数据表</strong> <br />
语法：创建数据库</p>
<pre><code>create table 表名(
    字段1 字段类型,
    字段2 字段类型,
    ...
    字段n 字段类型
);</code></pre>
<h3>常用数据类型</h3>
<hr>
<br /><strong>int</strong>：整型 <br /><strong>double</strong>：浮点型，例如double(5,2)表示最多5位，其中必须有2位小数，即最大值为999.99； <br /><strong>char</strong>：固定长度字符串类型； char(10)  ‘abc       ’ <br /><strong>varchar</strong>：可变长度字符串类型；varchar(10) ‘abc’ <br /><strong>text</strong>：字符串类型; <br /><strong>blob</strong>：字节类型； <br /><strong>date</strong>：日期类型，格式为：yyyy-MM-dd； <br /><strong>time</strong>：时间类型，格式为：hh:mm:ss <br /><strong>timestamp</strong>：时间戳类型 yyyy-MM-dd hh:mm:ss  会自动赋值 <br /><strong>datetime</strong>:日期时间类型 yyyy-MM-dd hh:mm:ss</p>
<p><strong>重点：</strong> <br />
当前数据库中的所有表 <br /><strong>SHOW TABLES;</strong> <br />
查看表的字段信息 <br /><strong>DESC emp;</strong> <br />
在上面员工表的基本上增加一个image列。 <br /><strong>ALTER TABLE emp ADD image blob;</strong> <br />
修改job列，使其长度为60。 <br /><strong>ALTER TABLE emp MODIFY job varchar(60);</strong> <br />
删除image列,一次只能删一列。 <br /><strong>ALTER TABLE em DROP image;</strong> <br />
表名改为user。 <br /><strong>RENAME TABLE emp TO user;</strong> <br />
查看表格的创建细节 <br /><strong>SHOW CREATE TABLE user;</strong> <br />
修改表的字符集为utd-8 <br /><strong>ALTER TABLE user CHARACTER SET utf-8;</strong> <br />
列名name修改为username <br /><strong>ALTER TABLE user CHANGE name username varchar(100);</strong> <br />
删除表 <br /><strong>DROP TABLE user ;</strong></p>
<h3>DML操作(重要)</h3>
<hr>
<br />查询表中的所有数据  <br /><strong>SELECT * FROM 表名;</strong> <br /><strong>DML是对表中的数据进行增、删、改的操作。</strong>不要与DDL混淆了。 <br /><strong>INSERT 、UPDATE、 DELETE</strong></p>
<blockquote><p><strong>注意事项：</strong>： <br />
  　　在mysql中，字符串类型和日期类型都要用<strong>单引号括起来</strong>。’tom’  ‘2017-07-10’ <br />
  　　空值：null</p></blockquote>
<p><strong>插入操作：INSERT:</strong> <br />
语法： <strong>INSERT INTO 表名（列名1，列名2 …）VALUES(列值1，列值2…);</strong></p>
<blockquote><p><strong>注意</strong>：列名与列值的类型、个数、顺序要一一对应。 <br />
  　　　可以把列名当做java中的形参，把列值当做实参。 <br />
  　　　值不要超出列定义的长度。 <br />
  　　　如果插入空值，请使用null <br />
  　　　插入的日期和字符一样，都使用引号括起来。</p></blockquote>
<p><strong>修改操作 UPDATE:</strong> <br />
　　语法：<strong>UPDATE 表名 SET 列名1=列值1，列名2=列值2 …….. WHERE 列名=值</strong></p>
<p><strong>删除操作 DELETE:</strong> <br />
语法 ： <strong>DELETE FROM 表名 【WHERE 列名=值】</strong></p>
<blockquote><p><strong>注意</strong>：where语句可以不写 <br />
  　　　<strong>DELETE</strong> ：删除表中的数据，表结构还在;删除后的数据可以找回。 <br />
  　　　<strong>TRUNCATE</strong> ：删除是把表直接DROP掉，然后再创建一个同样的新表。 <br />
  　　　删除的数据不能找回。执行速度比DELETE快。</p></blockquote>
<h3>DQL操作</h3>
<hr>
<br />　　DQL数据查询语言 （重要）:<strong>这个我们经常用因为数据库建好了之后我们主要用的就是去查询我们想要的数据，然后把它显示在页面上。</strong> <br />
　　数据库执行DQL语句不会对数据进行改变，而是让数据库发送结果集给客户端。 <br />
　　查询返回的结果集是一张虚拟表。</p>
<p><strong>查询关键字：SELECT</strong></p>
<p>语法： <strong>SELECT 列名 FROM表名</strong>  <br /><strong>【WHERE –&gt; GROUP BY –&gt;HAVING–&gt; ORDER BY】</strong></p>
<p><strong>语法：</strong></p>
<pre><code>  SELECT selection_list /*要查询的列名称*/
  FROM table_list /*要查询的表名称*/
  WHERE condition /*行条件*/
  GROUP BY grouping_columns /*对结果分组*/
  HAVING condition /*分组后的行条件*/
  ORDER BY sorting_columns /*对结果分组*/
  LIMIT offset_start, row_count /*结果限定*/</code></pre>
<p><strong>查询代码的书写顺序和执行顺序</strong></p>
<blockquote><p>　查询语句书写顺序：<strong>select – from- where- group by- having- order by-limit</strong> <br />
  　查询语句执行顺序：<strong>from - where -group by - having - select - order by-limit</strong> <br />
  查询所有列 <br /><strong>SELECT * FROM 表名;</strong></p></blockquote>
<p>查询指定列 <br /><strong>SELECT 列名 FROM 表名;</strong></p>
<h4>条件查询</h4>
<p>条件查询就是在查询时给出WHERE子句，在WHERE子句中可以使用如下运算符及关键字：</p>
<p>　　<strong>=、!=、&lt;&gt;、&lt;、&lt;=、&gt;、&gt;=；</strong> <br />
　　<strong>BETWEEN…AND；</strong>  <br />
　　<strong>IN(set)；</strong> <br />
　　<strong>IS NULL； IS NOT NULL</strong> <br />
　　<strong>AND；</strong> <br />
　　<strong>OR；</strong> <br />
　　<strong>NOT；</strong></p>
<h4>模糊查询</h4>
<p>　　当想查询姓名中包含a字母的学生时就需要使用模糊查询了。模糊查询需要使用关键字LIKE。</p>
<p>　<strong>通配符:</strong>  <br />
　　“<strong>_</strong>”　　　　　：任意一个字符 <br />
　　“<strong>%</strong> ”　　　　 ：任意0~n个字符</p>
<h4>字段控制查询</h4>
<hr>
<ul>
<li><strong>去除重复记录:</strong></p>
<p>　　　去除重复记录（两行或两行以上记录中系列的上的数据都相同）。</p>
<p>　语法：</p>
<p>　　　 <strong>SELECT DISTINCT 列名 FROM 表名;</strong></li>
</ul>
<hr>
<ul>
<li><strong>给列名添加别名</strong></p>
<p>　　<strong>SELECT *,列名 AS 别名 FROM 表名;</strong></p>
<p>　　给列起别名时，是可以省略AS关键字的：</p>
<p>　　<strong>SELECT *,列名  别名 FROM 表名;</strong></li>
</ul>
<hr>
<h4>排序  order by 列名 asc(默认) desc</h4>
<p>语法：</p>
<ul>
<li><strong>ORDER BY 列名 ASC;</strong></li>
<li><strong>ORDER BY 列名 DESC;</strong></li>
</ul>
<h4><strong>聚合函数 sum avg max min count</strong></h4>
<hr>
<br />聚合函数是用来做纵向运算的函数：</p>
<ul>
<li><strong>COUNT()</strong>：统计指定列不为NULL的记录行数；</li>
<li><strong>MAX()</strong>：计算指定列的最大值，如果指定列是字符串类型，那么使用字符串排序运算；</li>
<li><strong>MIN()</strong>：计算指定列的最小值，如果指定列是字符串类型，那么使用字符串排序运算；</li>
<li><strong>SUM()</strong>：计算指定列的数值和，如果指定列类型不是数值类型，那么计算结果为0；</li>
<li><strong>AVG()</strong>：计算指定列的平均值，如果指定列类型不是数值类型，那么计算结果为0；</li>
</ul>
<p><strong>举例：</strong></p>
<p><strong>COUNT</strong></p>
<hr>
<br /><strong>当需要纵向统计时可以使用COUNT()。</strong></p>
<ul>
<li>查询emp表中记录数：</li>
</ul>
<pre><code>    SELECT COUNT(*) AS cnt FROM emp;</code></pre>
<ul>
<li>查询emp表中有佣金的人数：</li>
</ul>
<pre><code>    SELECT COUNT(comm) cnt FROM emp;</code></pre>
<p>注意，因为count()函数中给出的是comm列，那么只统计comm列非NULL的行数。</p>
<ul>
<li>查询emp表中月薪大于2500的人数：</li>
</ul>
<pre><code>SELECT COUNT(*) FROM emp
WHERE sal &gt; 2500;</code></pre>
<ul>
<li>统计月薪与佣金之和大于2500元的人数：</li>
</ul>
<pre><code>SELECT COUNT(*) AS cnt FROM emp WHERE sal+IFNULL(comm,0) &gt; 2500;</code></pre>
<ul>
<li>查询有佣金的人数，有领导的人数： <br />
SELECT COUNT(comm), COUNT(mgr) FROM emp;</li>
</ul>
<p><strong>SUM和AVG</strong></p>
<hr>
<br /><strong>当需要纵向求和时使用sum()函数。</strong> <br />
- 查询所有雇员月薪和：</p>
<pre><code>SELECT SUM(sal) FROM emp;</code></pre>
<ul>
<li>查询所有雇员月薪和，以及所有雇员佣金和：</li>
</ul>
<pre><code>SELECT SUM(sal), SUM(comm) FROM emp;</code></pre>
<ul>
<li>查询所有雇员月薪+佣金和：</li>
</ul>
<pre><code>SELECT SUM(sal+IFNULL(comm,0)) FROM emp;</code></pre>
<ul>
<li>统计所有员工平均工资：</li>
</ul>
<pre><code>SELECT AVG(sal) FROM emp;</code></pre>
<p><strong>MAX和MIN</strong></p>
<hr>
<ul>
<li>查询最高工资和最低工资：</li>
</ul>
<pre><code>SELECT MAX(sal), MIN(sal) FROM emp;</code></pre>
<h4>分组查询</h4>
<hr>
<br />　　当需要分组查询时需要使用GROUP BY子句，例如查询每个部门的工资和，这说明要使用部门来分组。</p>
<p>　　注：<strong>凡和聚合函数同时出现的列名，一定要写在group by 之后</strong></p>
<p><strong>HAVING子句</strong></p>
<hr>
<ul>
<li>查询工资总和大于9000的部门编号以及工资和：</li>
</ul>
<pre><code>    SELECT deptno, SUM(sal)
    FROM emp
    GROUP BY deptno
    HAVING SUM(sal) &gt; 9000;</code></pre>
<blockquote><p>　　注：<strong>having与where的区别</strong>: <br />
  　　　1.having是在分组后对数据进行过滤. <br />
  　　　　where是在分组前对数据进行过滤</p>
<p>　　　2.having后面可以使用聚合函数(统计函数) <br />
  　　　　  where后面不可以使用聚合函数。</p>
<p>　　　 WHERE是对分组前记录的条件，如果某行记录没有满足WHERE子句的条件，那么这行记录不会参加分组；而HAVING是对分组后数据的约束。</p></blockquote>
<h4>LIMIT（分页查询） MySQL自己的sql语句</h4>
<hr>
<br />LIMIT用来限定查询结果的起始行，以及总行数。</p>
<ul>
<li>查询5行记录，起始行从0开始</li>
</ul>
<pre><code>SELECT * FROM 表名 LIMIT 0, 5;</code></pre>
<p>　　注意，起始行从0开始，即第一行开始！</p>
<ul>
<li>查询10行记录，起始行从3开始</li>
</ul>
<pre><code>SELECT * FROM emp LIMIT 3, 10;</code></pre>
<p>分页查询</p>
<blockquote><p>　　如果一页记录为10条，希望查看第3页记录应该怎么查呢？ <br />
  　　第一页记录起始行为0，一共查询10行； <br />
  　　第二页记录起始行为10，一共查询10行； <br />
  　　第三页记录起始行为20，一共查询10行；</p></blockquote>
<p>最后一部分</p>
<h3>主键、唯一性约束、自动增长、默认值、非空约束</h3>
<hr>
<br />　　这里我就大概写几个代码你们看下，因为这里都比较简单。至于触发器这个一般都不在数据库写了一般直接在java代码中操作了，约束也可以直接用js等语言去约束。</p>
<pre><code>        -- 第一种
        CREATE TABLE student(
        Id int primary key,
        Name varchar(50)
        );
        -- 第二种
        CREATE TABLE student(
        id int,
        Name varchar(50),
        Primary key(id)
        );

        -- 也属于第二种吧（多个主键）
        CREATE TABLE student(
        id int,
        Name varchar(50),
        Primary key(id，name)
        );

        -- 第三种
        CREATE TABLE student(
        Id int,
        Name varchar(50)
        );
        ALTER TABLE student
        ADD  PRIMARY KEY (id);

</code></pre>
<h3>唯一性约束</h3>
<pre><code>CREATE TABLE student(
Id int primary key,
Name varchar(50) unique
);</code></pre>
<h3>自动增长列(auto_increment)</h3>
<p>给主键添加自动增长的数值，列只能是整数类型，但是如果删除之前增长的序号，后面再添加的时候序号不会重新开始，而是会接着被删除的那一列的序号</p>
<pre><code>CREATE TABLE student(
Id int primary key auto_increment,
Name varchar(50)
);
</code></pre>
<h3>默认值default</h3>
<pre><code>CREATE TABLE student(
Id int pirmary key,
Name varchar(50) not null,
Sex varchar(10) default ‘男’
);
</code></pre>
<h3>非空约束：** **null（默认），not null;</h3>
<pre><code>CREATE TABLE student(
Id int pirmary key,
Name varchar(50) not null,
Sex varchar(10)
);
</code></pre>
<p>　　到这里就把常用的MySQL语句写完了，其他的语句都不太常用就没再这里写，如果感觉我写的不错就赞一下。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 03:16:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/varchar/" title="varchar">varchar</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL的常用SQL语句的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqJWq3p.html" rel="bookmark">mysql命令-常用sql语句命令代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql命令-常用sql语句命令代码 使用G按行垂直显示结果 如果一行很长,需要这行显示的话,看起结果来就非常的难受.在SQL语句或者命令后使用G而不是分号结尾,可以将每一行的值垂直输出.这个可能也是大家对于MySQL最熟悉的区别于其他数据库工具的一个特性了. mysql&gt; select * from db_archivelogG *************************** 1. row ***************************         id: 1  chec			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b283a3p.html" rel="bookmark">MySQL 存储过程常用SQL语句收集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1,select curdate() /*2016-10-08*/ 2,select date_sub(curdate(), INTERVAL 6 DAY) /*2016-10-02*/ 3,case when then else 拼接条件查询: WHERE (CASE WHEN IFNULL(@belongCity,'0')='0' OR @belongCity='' THEN 1 ELSE CAST(LOCATE(@belongCity,worker_order.belong_city) A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK8yjp.html" rel="bookmark">MySQL中优化sql语句查询常用的30种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章是对MySQL中优化sql语句查询常用的30种方法进行了详细的分析介绍,需要的朋友参考下   1.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉及的列上建立索引. 2.应尽量避免在 where 子句中使用!=或&lt;&gt;操作符,否则将引擎放弃使用索引而进行全表扫描. 3.应尽量避免在 where 子句中对字段进行 null 值判断,否则将导致引擎放弃使用索引而进行全表扫描,如: select id from t where num is null 可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2VLqz.html" rel="bookmark">mysql数据库的sql语句常用优化方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql数据库的sql语句常用优化方法 1.对查询进行优化,应尽量避免全表扫描,首先应考虑在 where 及 order by 涉及的列上建立索引. 2.应尽量避免在 where 子句中对字段进行 null 值判断,否则将导致引擎放弃使用索引而进行全表扫描,如: select id from t where num is null 可以在num上设置默认值0,确保表中num列没有null值,然后这样查询: select id from t where num=0 3.应尽量避免在 where			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8el4z.html" rel="bookmark">DBA常用SQL语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				语句    自己总结的常用SQL语句,发现对自己工作帮助挺大的!   查看表空间的名称及大小: SQL&gt;select t.tablespace_name, round(sum(bytes/(1024*1024)),0) ts_size from dba_tablespaces t, dba_data_files d where t.tablespace_name = d.tablespace_name group by t.tablespace_name;   查看表空间物理文件的名称及大小:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M03a8b.html" rel="bookmark">&lbrack;SQL Server&rsqb;管理常用SQL语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|语句 [SQL Server]管理常用SQL语句 1. 查看数据库的版本        select @@version 2. 查看数据库所在机器操作系统参数        exec master..xp_msver 3. 查看数据库启动的参数         sp_configure 4. 查看数据库启动时间         select convert(varchar(30),login_time,120) from master..sysprocesses where spi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8nlrp.html" rel="bookmark">mysql的查询sql语句转换成oracle的sql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql的查询sql语句转换成oracle的sql SELECT CREATE_DATE SUM(ISBIND) AS ISBIND SUM(UNBIND) AS UNBIND SUM(SUBSCRIBE) AS SUBSCRIBE SUM(UNSUBSCRIBE) AS UNSUBSCRIBE FROM ( SELECT N.CREATE_DATE MAX( CASE N.EVENT WHEN 'subscribe' THEN COUNT ELSE 0 END ) SUBSCRIB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamB92b.html" rel="bookmark">mysql排序问题的sql语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql排序问题的sql语句 有一个字段A,字段值有可能相同,写一个sql语句,将相同的值尽量分隔开.例如字段A的值:1,1,1,2,3,3:查询结果要求为:1,2,3,1,3,1.请问sql怎么写? 解决方案 没有直接的sql,建议取值后写程序排序 解决方案二: 同意楼上说法,sql没有这样的排序 解决方案三: 一直使用oracle.sqlserver,没用过mysql了. 这个查询,oracle.sqlserver都是可以实现的,说下oracle.sqlserver的实现方式,希			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7YqgXM.html" rel="bookmark">mysql-oracle的sql语句怎么转换成MySQL里的sql语句呢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 oracle的sql语句怎么转换成MySQL里的sql语句呢 oracle的sql语句怎么转换成MySQL里的sql语句呢 解决方案 http://jingyan.baidu.com/article/ca41422fe01f251eaf99ed6e.html试试这个经验 解决方案二: 在oracle里面拼接成MySQL的语句			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQqdwb.html" rel="bookmark" class="title">羽毛：有种seo优化叫等待 你会了吗</a>
					<div>
						22号早上刚起床就发现各个QQ群炸开锅:百度大调整,各大小网站的外部链接数量大幅度下降.这可热闹了,众说纷纭,互联网上各种原因都有猜测,其中比较常见的有以下几种: 1,百度这次是真的做了一个大的调整: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7PeXb.html" rel="bookmark" class="title">Win2000的磁盘空间配额管理及分配方法</a>
					<div>
						一.Win 2K的磁盘配额 运行Windows 2K的电脑可对用户使用的磁盘空间进行按需分配.只要是在采用NTFS 5.0文件系统格式的驱动器上,通过启用磁盘配额管理功能就能实现对用户使用磁盘空间的限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBj4Lb.html" rel="bookmark" class="title">DB2的表数据加密</a>
					<div>
						[导读]举了一个简单例子,加密,解密的passwd是设置全局的,使用db2数据库加密函数encrypt,decrypt_char实现. 例: 1. C:\&gt;db2 create table en ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwqL8z.html" rel="bookmark" class="title">搜狐设计师：聊聊我常用的一套交互设计工具</a>
					<div>
						  刚开始接触交互设计往往会面临自己的想法找不到合适的方法输出,所以完成基本工作的同时也在积极寻找.学习适合自己又和工作环境相匹配的工具.与团队成员配合的时候没有人会在意你是用什么工具,成员们只想看到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd71J3M.html" rel="bookmark" class="title">Youku 视频绝对地址获取的方法详解</a>
					<div>
						前一阵子为了研究 KnLiveCommentary 而进行了一系列的关于视频站点的研究.由于KnLiveCommentary需要能够获取充足的视频源进行测试,所以我们选取了 Youku(优酷)一个比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2426rp.html" rel="bookmark" class="title">适用于伟大交互设计的UI原则 让网站拥有良好交互性</a>
					<div>
						交互设计如今已是一个十分常见的问题,但许多设计者和开发者仍不知道它的具体意义.今天,我们将从不同于以往的方面:我们将会深入讲解能使你的网站拥有良好交互性的用户界面和设计原则. 首先,何为IxD 交互设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYe6rM.html" rel="bookmark" class="title">分类算法：决策树（ID3）</a>
					<div>
						决策树是以实例为基础的归纳学习算法. 它从一组无次序.无规则的元组中推理出决策树表示形式的分类规则.它采用自顶向下的递归方式,在决策树的内部结点进行属性值的比较,并根据不同的属性值从该结点向下分支,叶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwBR8p.html" rel="bookmark" class="title">Linux到底&OpenCurlyDoubleQuote;错&rdquo;在哪？</a>
					<div>
						就在刚刚过去的 12 月 14 日,又有一位用户放弃了 Linux 平台,转向了对他来说更好用的 Mac OS .这是他自己的选择,并没有什么应让外人指指点点:但如果从国内最近 Linux 相关论坛的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWar1p.html" rel="bookmark" class="title">Tomcat之web&period;xml</a>
					<div>
						一. tomcat加载web.xml的方法1.启动一个WEB项目的时候,WEB容器会去读取它的配置文件web.xml,读取&lt;listener&gt; 和&lt;context-param&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32QEJz.html" rel="bookmark" class="title">java-新手请教一个JAVA问题，急用。</a>
					<div>
						问题描述 新手请教一个JAVA问题,急用. 我用JAVA在一个包中写了MultiThreadMatrix.java和Jiemian.java.MultiThreadMatrix.java是一个并行矩阵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nvanz.html" rel="bookmark" class="title">Kafka 设计与原理详解</a>
					<div>
						一.Kafka简介 本文综合了我之前写的kafka相关文章,可作为一个全面了解学习kafka的培训学习资料. 转载请注明出处 : 本文链接 1.1 背景历史 当今社会各种应用系统诸如商业.社交.搜索. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k1EPM.html" rel="bookmark" class="title">Oracle expdp&sol;impdp 用法例子 详解 举例 例子 他的这篇文章没有办法写出来 要这么改</a>
					<div>
						 步骤:   导出端: 建立导出目录. grant create any directory to qbjmes;  create directory backup as '/tmp/backup'; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDwJkz.html" rel="bookmark" class="title">（四）共进晚餐</a>
					<div>
						二人都喜欢吃西餐,下班后,张虹便带娇娇去了一家披萨店,小店新开不久,客人也不多.放着轻音乐,灯光有些昏黄慵懒,桌子是原生木的,座位则是暗红色皮质连坐座椅,靠背极高,私密性很好. &quot;张经理,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKKXVb.html" rel="bookmark" class="title">性能-安卓环境线程调度问题</a>
					<div>
						问题描述 安卓环境线程调度问题 在安卓手机上有两个进程a.b都用SCHED_RR方式创建线程,优先级一样,进程a.b都会对某个pty设备进行读操作,操作逻辑一致,一开始的线程过程函数如下: loop( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYD7mp.html" rel="bookmark" class="title">讯飞输入法支持哪些方言？</a>
					<div>
						讯飞输入法支持哪些方言?   讯飞语输入法 讯飞语输入法支持方言吗? 讯飞输入法是支持方言的,而且还支持多个地区的方言,方便民众实用,也避免了不会说普通话的人使用讯飞输入法. 讯飞输入法支持哪些方言? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXoExz.html" rel="bookmark" class="title">&lbrack;MySql&rsqb;explain用法及实践</a>
					<div>
						写在前面 explain对我们优化sql语句是非常有帮助的.可以通过explain+sql语句的方式分析当前sql语句. 例子 EXPLAIN SELECT dt,method,url FROM ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq3k5z.html" rel="bookmark" class="title">《数据分析实战&colon;基于EXCEL和SPSS系列工具的实践》一1&period;4　数据分析的流程</a>
					<div>
						1.4 数据分析的流程 数据分析一般有数据采集.数据整理.制表.数据分析.数据呈现等多个阶段.当然,不是说每一个数据分析的过程都需要这些阶段,有的企业数据质量非常好,自然就不需要数据采集过程了:也有些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JERWz.html" rel="bookmark" class="title">heritrix 相关</a>
					<div>
						heritrix 文章: http://www.cnblogs.com/chenying99/category/468890.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n3mPz.html" rel="bookmark" class="title">Environment&period;Exit仍无法正常退出程序</a>
					<div>
						问题描述 在我的程序中,关闭窗体时执行System.Environment.Exit(0);但是,执行System.Environment.Exit(0)后,无法正常关闭程序,弹出&quot;程序未响 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX01mvp.html" rel="bookmark" class="title">如何真正作好项目管理中的风险管理？</a>
					<div>
						首先要识别风险:识别哪能些风险可能影响项目进展及记录具体风险的各方面特征.风险识别不是一次性行为,而应有规律的穿整个项目中. 风险识别包括识别内在风险及外在风险.内在风险指项目工作组能加以控制和影响的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW1mvz.html" rel="bookmark" class="title">c&plus;&plus;读取sqlserver示例分享&lowbar;C 语言</a>
					<div>
						复制代码 代码如下: // ReadSqlConsole.cpp: 主项目文件. #include &quot;stdafx.h&quot;#include &lt;iostream&gt;#incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmdNNp.html" rel="bookmark" class="title">链接驱动背景色</a>
					<div>
						链接驱动背景色 下面为脚本显示区 南京有线台 新浪网 首都在线 网易  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0A49p.html" rel="bookmark" class="title">可以改善mysql性能的InnoDB配置参数&lowbar;Mysql</a>
					<div>
						而由于InnoDB是一个健壮的事务型存储引擎,已经有10多年的历史,一些重量级的互联网公司(Yahoo,Google Netease ,Taobao)也经常使用 我的日常工作也经常接触InnoDB,现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk3w2z.html" rel="bookmark" class="title">ejb3的一点问题</a>
					<div>
						问题描述 最近在看ejb3.也不管以后用不用,就看看.一个问题是,我写的一个客户端去访问容器中的sessionbean,在本机时访问时成功的,容器和客户端都是在同一个虚拟机上跑,我觉得这样理所应当.我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNxyQp.html" rel="bookmark" class="title">获取到好友列表后，怎么获取每个好友的未读数量和最后一条消息？</a>
					<div>
						问题描述 能够获取好友的名字,但是每个名字对应的会话时间,最后一条消息,还有未读消息数量怎么获取??求助,谢谢!!! 解决方案 _conversation = [[EMClient sharedCli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7a5rp.html" rel="bookmark" class="title">巴茨谈童年到职场经历：酒吧女郎变身雅虎CEO</a>
					<div>
						雅虎首席执行官卡罗尔·巴茨(Carol Bartz)日前接受了&lt;时尚先生&gt;(Esquire)女性版的采访. 巴茨在访谈中谈到了自己的童年.职场生涯.以及对工作的诸多看法.巴茨在访谈中表示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAZoYp.html" rel="bookmark" class="title">基于jQuery的网页右下角弹出广告&lpar;IE7&comma;firefox&rpar;&lowbar;jquery</a>
					<div>
						测试Div 打开 这是一些测试内容 测试Div					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg1Z2z.html" rel="bookmark" class="title">欧盟指责苹果漏税80亿美元 库克会晤竞争专员斡旋</a>
					<div>
						北京时间1月22日消息,据彭博社报道,苹果正在对欧盟的税收调查展开反击,因为它可能因此补交逾80亿美元税金. 当地时间周四,苹果首席执行官蒂姆·库克(Tim Cook)与欧盟竞争专员玛格丽特·维斯特格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0BjaM.html" rel="bookmark" class="title">组合排列遍历算法浅析&lpar;一&rpar;</a>
					<div>
						最近一段时间,稍微空闲了些,于是准备把去年面试某公司时遇到的题写出来. 回味那次面试,真是有点尴尬,大学毕业后,一直忙于这样技术.那样技术,此控件.彼控件的,对于基础的东西忘得差不多了. 于是乎,在面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqAxEp.html" rel="bookmark" class="title">艾瑞首席分析师曹金波：收购有助酷6整合资源</a>
					<div>
						11月25日上午消息,可靠消息向新浪科技证实,盛大一周前已确定全资收购视频分享网站酷6网,详细信息将于近日公开.艾瑞咨询首席分析师曹金波认为,这是盛大&quot;网上迪斯尼&quot;战略的又一举措, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
